Subject: Re: bug#43850: cuirass: inconsistent SQL queries execution time.

From: Mathieu Othacehe <[email-masked]>
Date: Wed, 14 Oct 2020 18:53:20 +0200

Hello,

I pushed and deployed several patches that:

- update metrics in a single transaction
- register builds in a single transaction
- use a single write database worker, queuing queries and submitting
them by batches (in a single transaction).
- optimize some SQLite parameters (decrease WAL size, use more RAM
caching)

this should improve the situation, even if I still observe some
inconsistent execution duration.

I still have a few improvement ideas such as pre-allocating a large
database file to decrease fragmentation and running periodic vacuums.

Thanks,

Mathieu